| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
uiODDisplayTreeItem Class Reference
uiODMain

`#include <uioddisplaytreeitem.h>`

Inheritance diagram for uiODDisplayTreeItem:
[legend]

## Public Member Functions
virtual bool | actModeWhenSelected () const
uiODDataTreeItem * | addAttribItem ()
virtual bool | displayedOnlyAtSections () const
VisID | displayID () const
void | handleAddAttrib ()
bool | isDisplayID (int) const
virtual bool | isOnlyAtSections () const
void | prepareForShutdown () override
virtual void | setOnlyAtSectionsDisplay (bool)
void | show (bool)
bool | showSubMenu () override
void | updateCheckStatus () override
void | updateColumnText (int) override
Public Member Functions inherited from uiODTreeItem
bool | anyButtonClick (uiTreeViewItem *) override
SceneID | sceneID () const
Public Member Functions inherited from uiTreeItem
| uiTreeItem (const uiString &nm=uiString::empty())
| ~uiTreeItem ()
virtual bool | addChild (uiTreeItem *child, bool below)
bool | allChildrenChecked () const
bool | allChildrenCollapsed () const
bool | allChildrenExpanded () const
bool | allChildrenUnchecked () const
bool | areAllParentsChecked ()
NotifierAccess * | checkStatusChange ()
void | collapse ()
void | collapseAllChildren ()
void | entryInEditMode (int col)
void | expand ()
void | expandAllChildren ()
virtual uiTreeItem * | findChild (const char *name)
virtual const uiTreeItem * | findChild (const char *name) const
virtual uiTreeItem * | findChild (int selkey)
virtual const uiTreeItem * | findChild (int selkey) const
virtual void | findChildren (const char *, ObjectSet< uiTreeItem > &)
uiTreeItem * | getChild (int)
const uiTreeItem * | getChild (int) const
ObjectSet< uiTreeItem > & | getChildren ()
const ObjectSet< uiTreeItem > & | getChildren () const
uiTreeViewItem * | getItem ()
const uiTreeViewItem * | getItem () const
template<class T >
bool | getProperty (const char *key, T &res) const
bool | getPropertyPtr (const char *key, void *&) const
bool | hasChildren () const
bool | hasGrandChildren () const
virtual bool | isChecked () const
bool | isCollapsed () const
bool | isExpanded () const
virtual bool | isSelected () const
NotifierAccess * | keyPressed ()
uiTreeItem * | lastChild ()
| mOD_DisableCopy (uiTreeItem) virtual void prepareForShutdown()
virtual void | moveItem (uiTreeItem *after)
virtual void | moveItemToTop ()
uiString | name () const
int | nrChildren () const
uiTreeItem * | parentTreeItem ()
virtual void | removeAllChildren ()
virtual void | removeChild (uiTreeItem *)
virtual bool | select ()
void | setChecked (bool yn, bool trigger=false)
void | setName (const uiString &nm)
template<class T >
void | setProperty (const char *key, const T &)
void | setPropertyPtr (const char *key, void *)
void | setToolTip (int column, const uiString &)
virtual uiTreeItem * | siblingAbove ()
virtual uiTreeItem * | siblingBelow ()
virtual int | siblingIndex () const
virtual void | translateText ()
void | updateSelTreeColumnText (int col)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Static Public Member Functions
static bool | create (uiTreeItem *, uiODApplMgr *, const VisID &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Member Functions
| uiODDisplayTreeItem ()
| ~uiODDisplayTreeItem ()
void | addToToolBarCB (CallBacker *)
bool | askContinueAndSaveIfNeeded (bool withcancel) override
virtual void | checkCB (CallBacker *)
virtual void | colorChgCB (CallBacker *)
virtual uiODDataTreeItem * | createAttribItem (const Attrib::SelSpec *) const
virtual uiString | createDisplayName () const
virtual void | createMenu (MenuHandler *, bool istb)
void | createMenuCB (CallBacker *)
virtual void | deleteObject ()
bool | doubleClick (uiTreeViewItem *) override
uiString | getLockMenuText () const
virtual void | handleMenuCB (CallBacker *)
bool | init () override
bool | isExpandable () const override
bool | isSelectable () const override
virtual void | keyPressCB (CallBacker *)
int | selectionKey () const override
void | selectRGBA (const Pos::GeomID &)
bool | shouldSelect (int selkey) const override
int | uiTreeViewItemType () const override
void | updateLockPixmap (bool islocked)
Protected Member Functions inherited from uiODTreeItem
| uiODTreeItem (const uiString &)
| ~uiODTreeItem ()
void | addStandardItems (uiMenu &)
uiODApplMgr * | applMgr ()
bool | getMoreObjectsToDoHint () const
void | handleStandardItems (int mnuid)
virtual const char * | iconName () const
bool | init () override
void | setMoreObjectsToDoHint (bool yn)
ui3DViewer * | viewer ()
Protected Member Functions inherited from uiTreeItem
virtual bool | addChld (uiTreeItem *, bool below, bool downwards)
virtual uiParent * | getUiParent () const
virtual const char * | parentType () const =0
virtual void | removeItem (uiTreeViewItem *)
virtual void | renameItem (uiTreeViewItem *)
virtual bool | rightClick (uiTreeViewItem *)
virtual bool | selectWithKey (int selkey)
virtual void | setTreeViewItem (uiTreeViewItem *)
virtual void | updateSelection (int selectionKey, bool dw=false)
virtual bool | useParentType () const

## Protected Attributes
MenuItem | addattribmnuitem_
MenuItem | addmnuitem_
MenuItem | addvolprocmnuitem_
VisID | displayid_
MenuItem | displaymnuitem_
MenuItem | duplicatemnuitem_
MenuItem | hidemnuitem_
MenuItem | histogrammnuitem_
MenuItem | lockmnuitem_
MenuItem | removemnuitem_
uiVisPartServer * | visserv_
Protected Attributes inherited from uiTreeItem
ObjectSet< uiTreeItem > | children_
uiString | name_
uiTreeItem * | parent_ = nullptr
IOPar | properties_
uiTreeViewItem * | uitreeviewitem_ = nullptr

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiODDisplayTreeItem()

uiODDisplayTreeItem::uiODDisplayTreeItem | ( |  | ) |
| protected

## ◆ ~uiODDisplayTreeItem()

uiODDisplayTreeItem::~uiODDisplayTreeItem | ( |  | ) |
| protected

## Member Function Documentation

## ◆ actModeWhenSelected()

virtual bool uiODDisplayTreeItem::actModeWhenSelected | ( |  | ) | const
| inline virtual

Reimplemented in uiODPickSetTreeItem, and uiODPolygonTreeItem.

## ◆ addAttribItem()

uiODDataTreeItem * uiODDisplayTreeItem::addAttribItem | ( |  | ) |

## ◆ addToToolBarCB()

void uiODDisplayTreeItem::addToToolBarCB | ( | CallBacker * |  | ) |
| protected

## ◆ askContinueAndSaveIfNeeded()

bool uiODDisplayTreeItem::askContinueAndSaveIfNeeded | ( | bool | withcancel | ) |
| inline override protected virtual

Reimplemented from uiTreeItem.

Reimplemented in uiODFaultSetTreeItem, uiODFaultTreeItem, uiODFaultStickSetTreeItem, uiODHorizonTreeItem, uiODHorizon2DTreeItem, uiODPickSetTreeItem, uiODPolygonTreeItem, and uiODWellTreeItem.

## ◆ checkCB()

virtual void uiODDisplayTreeItem::checkCB | ( | CallBacker * |  | ) |
| protected virtual

Reimplemented in uiODEarthModelSurfaceTreeItem.

## ◆ colorChgCB()

virtual void uiODDisplayTreeItem::colorChgCB | ( | CallBacker * |  | ) |
| protected virtual

## ◆ create()

static bool uiODDisplayTreeItem::create | ( | uiTreeItem * | ,
|  | uiODApplMgr * | ,
|  | const VisID & | )
| static

Creates an instance (if possible) and adds it to the tree

## ◆ createAttribItem()

virtual uiODDataTreeItem * uiODDisplayTreeItem::createAttribItem | ( | const Attrib::SelSpec * |  | ) | const
| protected virtual

Reimplemented in uiODBodyDisplayTreeItem, uiODEarthModelSurfaceTreeItem, uiODFaultSetTreeItem, uiODFaultTreeItem, uiOD2DLineTreeItem, and uiODVolrenTreeItem.

## ◆ createDisplayName()

virtual uiString uiODDisplayTreeItem::createDisplayName | ( |  | ) | const
| protected virtual

Reimplemented in uiODHorizonTreeItem, uiODHorizon2DTreeItem, uiODPlaneDataTreeItem, uiOD2DLineTreeItem, and uiODVolrenTreeItem.

## ◆ createMenu()

virtual void uiODDisplayTreeItem::createMenu | ( | MenuHandler * | ,
|  | bool | istb )
| protected virtual

Reimplemented in uiODAnnotSubItem, ScaleBarSubItem, ArrowSubItem, ImageSubItem, uiODBodyDisplayTreeItem, uiODEarthModelSurfaceTreeItem, uiODFaultSetTreeItem, uiODFaultTreeItem, uiODFaultStickSetTreeItem, uiODHorizonTreeItem, uiODHorizon2DTreeItem, uiODPickSetTreeItem, uiODPolygonTreeItem, uiODPlaneDataTreeItem, uiODPSEventsTreeItem, uiODRandomLineTreeItem, uiOD2DLineTreeItem, uiODVolrenTreeItem, uiODVolrenSubTreeItem, and uiODWellTreeItem.

## ◆ createMenuCB()

void uiODDisplayTreeItem::createMenuCB | ( | CallBacker * |  | ) |
| protected

## ◆ deleteObject()

virtual void uiODDisplayTreeItem::deleteObject | ( |  | ) |
| protected virtual

## ◆ displayedOnlyAtSections()

virtual bool uiODDisplayTreeItem::displayedOnlyAtSections | ( |  | ) | const
| virtual

## ◆ displayID()

VisID uiODDisplayTreeItem::displayID | ( |  | ) | const
| inline

## ◆ doubleClick()

bool uiODDisplayTreeItem::doubleClick | ( | uiTreeViewItem * |  | ) |
| override protected virtual

Reimplemented from uiTreeItem.

Reimplemented in uiODPickSetTreeItem, uiODPolygonTreeItem, and uiODWellTreeItem.

## ◆ getLockMenuText()

uiString uiODDisplayTreeItem::getLockMenuText | ( |  | ) | const
| protected

## ◆ handleAddAttrib()

void uiODDisplayTreeItem::handleAddAttrib | ( |  | ) |

## ◆ handleMenuCB()

virtual void uiODDisplayTreeItem::handleMenuCB | ( | CallBacker * |  | ) |
| protected virtual

Reimplemented in uiODAnnotSubItem, ScaleBarSubItem, ArrowSubItem, ImageSubItem, uiODBodyDisplayTreeItem, uiODEarthModelSurfaceTreeItem, uiODFaultSetTreeItem, uiODFaultTreeItem, uiODFaultStickSetTreeItem, uiODHorizonTreeItem, uiODHorizon2DTreeItem, uiODPickSetTreeItem, uiODPolygonTreeItem, uiODPlaneDataTreeItem, uiODPSEventsTreeItem, uiODRandomLineTreeItem, uiOD2DLineTreeItem, uiODVolrenTreeItem, uiODVolrenSubTreeItem, and uiODWellTreeItem.

## ◆ init()

bool uiODDisplayTreeItem::init | ( |  | ) |
| override protected virtual

Reimplemented from uiTreeItem.

Reimplemented in uiODEarthModelSurfaceTreeItem, uiODFaultSetTreeItem, uiODFaultTreeItem, uiODFaultStickSetTreeItem, uiODHorizonTreeItem, uiODPickSetTreeItem, uiODPolygonTreeItem, uiODPlaneDataTreeItem, uiODPSEventsTreeItem, uiODRandomLineTreeItem, uiODVolrenTreeItem, uiODVolrenSubTreeItem, and uiODWellTreeItem.

## ◆ isDisplayID()

bool uiODDisplayTreeItem::isDisplayID | ( | int |  | ) | const

## ◆ isExpandable()

bool uiODDisplayTreeItem::isExpandable | ( |  | ) | const
| inline override protected virtual

Reimplemented from uiTreeItem.

Reimplemented in uiODVolrenTreeItem.

## ◆ isOnlyAtSections()

virtual bool uiODDisplayTreeItem::isOnlyAtSections | ( |  | ) | const
| inline virtual

Reimplemented in uiODEarthModelSurfaceTreeItem, uiODFaultSetTreeItem, and uiODFaultTreeItem.

## ◆ isSelectable()

bool uiODDisplayTreeItem::isSelectable | ( |  | ) | const
| inline override protected virtual

Reimplemented from uiTreeItem.

## ◆ keyPressCB()

virtual void uiODDisplayTreeItem::keyPressCB | ( | CallBacker * |  | ) |
| protected virtual

Reimplemented in uiODEarthModelSurfaceTreeItem, and uiODPlaneDataTreeItem.

## ◆ prepareForShutdown()

void uiODDisplayTreeItem::prepareForShutdown | ( |  | ) |
| override

## ◆ selectionKey()

int uiODDisplayTreeItem::selectionKey | ( |  | ) | const
| override protected virtual

Reimplemented from uiTreeItem.

## ◆ selectRGBA()

void uiODDisplayTreeItem::selectRGBA | ( | const Pos::GeomID & |  | ) |
| protected

## ◆ setOnlyAtSectionsDisplay()

virtual void uiODDisplayTreeItem::setOnlyAtSectionsDisplay | ( | bool |  | ) |
| virtual

Reimplemented in uiODBodyDisplayTreeItem, uiODEarthModelSurfaceTreeItem, uiODFaultSetTreeItem, and uiODFaultTreeItem.

## ◆ shouldSelect()

bool uiODDisplayTreeItem::shouldSelect | ( | int | selkey | ) | const
| override protected virtual

Reimplemented from uiTreeItem.

## ◆ show()

void uiODDisplayTreeItem::show | ( | bool |  | ) |

## ◆ showSubMenu()

bool uiODDisplayTreeItem::showSubMenu | ( |  | ) |
| override virtual

Reimplemented from uiTreeItem.

Reimplemented in uiODVolrenTreeItem.

## ◆ uiTreeViewItemType()

int uiODDisplayTreeItem::uiTreeViewItemType | ( |  | ) | const
| override protected virtual

Returns
  the uiTreeViewItem::Type that should be created

Reimplemented from uiTreeItem.

## ◆ updateCheckStatus()

void uiODDisplayTreeItem::updateCheckStatus | ( |  | ) |
| override virtual

Reimplemented from uiTreeItem.

## ◆ updateColumnText()

void uiODDisplayTreeItem::updateColumnText | ( | int |  | ) |
| override virtual

Reimplemented from uiTreeItem.

Reimplemented in uiODVolrenSubTreeItem, and uiODPSEventsTreeItem.

## ◆ updateLockPixmap()

void uiODDisplayTreeItem::updateLockPixmap | ( | bool | islocked | ) |
| protected

## Member Data Documentation

## ◆ addattribmnuitem_

MenuItem uiODDisplayTreeItem::addattribmnuitem_
| protected

## ◆ addmnuitem_

MenuItem uiODDisplayTreeItem::addmnuitem_
| protected

## ◆ addvolprocmnuitem_

MenuItem uiODDisplayTreeItem::addvolprocmnuitem_
| protected

## ◆ displayid_

VisID uiODDisplayTreeItem::displayid_
| protected

## ◆ displaymnuitem_

MenuItem uiODDisplayTreeItem::displaymnuitem_
| protected

## ◆ duplicatemnuitem_

MenuItem uiODDisplayTreeItem::duplicatemnuitem_
| protected

## ◆ hidemnuitem_

MenuItem uiODDisplayTreeItem::hidemnuitem_
| protected

## ◆ histogrammnuitem_

MenuItem uiODDisplayTreeItem::histogrammnuitem_
| protected

## ◆ lockmnuitem_

MenuItem uiODDisplayTreeItem::lockmnuitem_
| protected

## ◆ removemnuitem_

MenuItem uiODDisplayTreeItem::removemnuitem_
| protected

## ◆ visserv_

uiVisPartServer* uiODDisplayTreeItem::visserv_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025